Server

Request the current server configuration

GET /api/serverconfiguration

Response

200 — The current server configuration

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ServerUri string

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ServerUri": "string"
}

Set the server configuration

PUT /api/serverconfiguration

Request Body

  • ServerUri string (required)

Response

200 — The updated server configuration

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ServerUri string

Example Request

JSON
{
  "ServerUri": "string"
}

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ServerUri": "string"
}

Request the current server configuration settings

GET /api/serverconfiguration/settings

Response

200 — The current server configuration settings

  • ConfigurationSet string
  • ConfigurationValues array of object
    • Description string
    • Key string
    • Value string

Example Response

JSON
[
  {
    "ConfigurationSet": "string",
    "ConfigurationValues": [
      {
        "Description": "string",
        "Key": "string",
        "Value": "string"
      }
    ]
  }
]